%define modname geoip
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define mod_src "geoip.c"
%define mod_lib "-lGeoIP"
%define mod_def "-DCOMPILE_DL_GEOIP"

Summary:	Map IP address to geographic places
Name:		php-%{modname}
Version:	1.1.1
Release:	%mkrel 11
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/geoip/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:7.4.0
BuildRequires:	pkgconfig(geoip) >= 1.4.0
Requires:	geoip >= 1.4.0
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
Epoch:		1

%description
This PHP extension allows you to find the location of an IP address - City,
State, Country, Longitude, Latitude, and other information as all, such as ISP
and connection type. For more info, please visit Maxmind's website.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

#%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc ChangeLog README package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 1:1.1.1-11.mga7
+ Revision: 1595954
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 1:1.1.1-10.mga8
+ Revision: 1538975
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:1.1.1-9.mga8
+ Revision: 1463521
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:1.1.1-8.mga8
+ Revision: 1454917
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:1.1.1-6.mga7
+ Revision: 1340434
- rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:1.1.1-5.mga7
+ Revision: 1300220
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:1.1.1-4.mga7
+ Revision: 1217356
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.1.1-3.mga7
+ Revision: 1180966
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.1.1-2.mga7
+ Revision: 1177173
- rebuild against php 7

* Fri Jul 21 2017 sander85 <sander85> 1:1.1.1-1.mga7
+ Revision: 1126266
- New version: 1.1.1

* Thu Feb 25 2016 oden <oden> 1:1.1.0-1.mga6
+ Revision: 978993
- 1.1.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.0.8-11.mga6
+ Revision: 958362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.8-10.mga5
+ Revision: 739621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.8-9.mga5
+ Revision: 687127
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.0.8-8.mga5
+ Revision: 616551
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.0.8-7.mga4
+ Revision: 567666
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0.8-6.mga4
+ Revision: 527813
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:1.0.8-5.mga4
+ Revision: 442634
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.0.8-4.mga3
+ Revision: 393264
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.0.8-3.mga3
+ Revision: 375776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.0.8-2.mga2
+ Revision: 223896
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:1.0.8-1.mga2
+ Revision: 185248
- upgrade to 1.0.8

* Sun Feb 06 2011 spuhler <spuhler> 1:1.0.7-11.mga1
+ Revision: 47913
- removed buildroot definition from .spec
- imported package php-geoip

